package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 点位管理
 * </p>
 *
 * @author wh
 * @since 2022-07-19
 */
@TableName("beacon_point_manage")
@ApiModel(value="BeaconPointManage对象", description="点位管理")
public class BeaconPointManage extends Model<BeaconPointManage> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "信标MAC")
    @TableField("mac")
    private String mac;

    @ApiModelProperty(value = "部署点位编号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "部署点位横坐标")
    @TableField("coordinate_x")
    private String coordinateX;

    @ApiModelProperty(value = "部署点位纵坐标")
    @TableField("coordinate_y")
    private String coordinateY;

    @ApiModelProperty(value = "部署场景")
    @TableField("scene_name")
    private String sceneName;

    @ApiModelProperty(value = "部署场景id")
    @TableField("scene_id")
    private Long sceneId;

    @ApiModelProperty(value = "场景级别")
    @TableField("scene_level")
    private Integer sceneLevel;

    @ApiModelProperty(value = "图层ID")
    @TableField("beacon_area_position_id")
    private Long beaconAreaPositionId;

    @ApiModelProperty(value = "绑定状态0:未绑定;1:已绑定")
    @TableField("bind_status")
    private Integer bindStatus;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getCoordinateX() {
        return coordinateX;
    }

    public void setCoordinateX(String coordinateX) {
        this.coordinateX = coordinateX;
    }

    public String getCoordinateY() {
        return coordinateY;
    }

    public void setCoordinateY(String coordinateY) {
        this.coordinateY = coordinateY;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Integer getSceneLevel() {
        return sceneLevel;
    }

    public void setSceneLevel(Integer sceneLevel) {
        this.sceneLevel = sceneLevel;
    }

    public Long getBeaconAreaPositionId() {
        return beaconAreaPositionId;
    }

    public void setBeaconAreaPositionId(Long beaconAreaPositionId) {
        this.beaconAreaPositionId = beaconAreaPositionId;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BeaconPointManage{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", mac=" + mac +
        ", no=" + no +
        ", coordinateX=" + coordinateX +
        ", coordinateY=" + coordinateY +
        ", sceneName=" + sceneName +
        ", sceneId=" + sceneId +
        ", sceneLevel=" + sceneLevel +
        ", beaconAreaPositionId=" + beaconAreaPositionId +
        ", bindStatus=" + bindStatus +
        "}";
    }
}
